Installer - Refactor #25170

Rename --foreman-admin-* parameters to include -initial
10/10/2018 04:36 PM - Chris Roberts

Status: Closed
Priority: Normal
Assignee: Chris Roberts
Category: Foreman modules
Target version: 1.21.0
Difficulty: easy Fixed in Releases: 1.21.0
Triaged: No Found in Releases: 1.19.0
Bugzilla link: 1632101 Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-for
eman/pull/674,
https://github.com/theforeman/foreman-i
nstaller/pull/296,
https://github.com/theforeman/puppet-for
eman/pull/701,
https://github.com/theforeman/foreman-i
nstaller/pull/310

Description
Cloned from BZ:

Description of problem:

When trying to set Satellite admin password using the satellite installer command the password is not getting updated.
Using the same old password.

Version-Release number of selected component (if applicable):

Satellite 6.4 Beta.

How reproducible:

We can run the satellite-installer command along with the password option.

Steps to Reproduce:

On the Satellite terminal.

1. satellite-installer -S satellite --foreman-admin-username admin --foreman-admin-password abc123
Actual results:

Installer completes successfully.

Expected results:

Foreman admin password must be updated.
Associated revisions

Revision 81fcf11a - 01/08/2019 01:51 AM - Chris Roberts

Fixes #25170 - Update admin/pass param to initial_param.

Revision db078f01 - 01/08/2019 01:51 AM - Chris Roberts

Refs #25170 - Add migration for new seed param naming.

Revision 575a6423 - 01/08/2019 10:05 PM - Ewoud Kohl van Wijngaarden

Refs #25170 - Use new parameter names in post install

db078f01d41bd2e7898ac79ba1517fca63a6371a omitted this part.

History

#1 - 10/15/2018 05:00 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/296 added

#2 - 12/17/2018 02:58 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-foreman/pull/701 added

#3 - 01/08/2019 02:01 AM - Chris Roberts
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman|81fcf11a48d3b5bee659e9a84c8927701e5d2674.

#4 - 01/08/2019 10:07 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/310 added

#5 - 01/23/2019 04:41 PM - Ewoud Kohl van Wijngaarden

- Target version set to 1.21.0

- Fixed in Releases 1.21.0 added

#6 - 01/23/2019 04:42 PM - Ewoud Kohl van Wijngaarden

- Subject changed from Satellite installer with option foreman-admin-password not working as expected. to Rename --foreman-admin-* parameters to

include -initial

#7 - 01/23/2019 04:45 PM - Ewoud Kohl van Wijngaarden

- Tracker changed from Bug to Refactor
